<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { inject, type Ref } from 'vue'

const drawer = inject<Ref<boolean>>('drawer')
const rail = inject<Ref<boolean>>('rail')
const authStore = useAuthStore()
</script>

<template>
  <v-navigation-drawer v-model="drawer" :rail="rail" permanent @click="rail = false">
    <v-divider></v-divider>

    <v-list density="compact" nav>
      <v-list-item
        prepend-icon="mdi-home-city"
        title="Home"
        value="home"
        :to="{ name: 'home' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-book"
        title="Point of Sell"
        value="pos"
        :to="{ name: 'pos' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-finance"
        title="Financial information"
        value="about"
        :to="{ path: '/about' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-account"
        title="Users"
        value="users"
        :to="{ name: 'users' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-account-credit-card"
        title="Salary"
        value="salary"
        :to="{ name: 'salary' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-domain"
        title="Branch"
        value="branchs"
        :to="{ name: 'branchs' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-cash-multiple"
        title="Expenses"
        value="expensess"
        :to="{ name: 'expensess' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-gift"
        title="Product"
        value="products"
        :to="{ name: 'products' }"
      ></v-list-item>
      <v-list-group>
        <template v-slot:activator="{ props }">
          <v-list-item v-bind="props" prepend-icon="mdi-package" title="Stock"></v-list-item>
        </template>
        <v-list-item prepend-icon="mdi-package" title="Stock" value="stock" :to="{ name: 'stock' }">
        </v-list-item>
        <v-list-item
          prepend-icon="mdi-truck-delivery"
          title="Stock Receipt"
          value="stockreceipt"
          :to="{ name: 'stockreceipt' }"
        >
        </v-list-item>
        <v-list-item
          prepend-icon="mdi-text-box-check"
          title="Check Stock"
          value="checkstock"
          :to="{ name: 'checkstock' }"
        >
        </v-list-item>
      </v-list-group>
      <v-list-item
        prepend-icon="mdi-thermometer"
        title="Member"
        value="member"
        :to="{ path: '/member' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-sale"
        title="Promotion"
        value="promotion"
        :to="{ path: '/promotion' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-clock"
        title="CheckTime"
        value="checktime"
        :to="{ path: '/checktime' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-logout"
        title="logout"
        value="login"
        @click="authStore.loguot()"
      ></v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>
